Final Fantasy Hacktics

Projects => Completed Mods => The Lion War => Topic started by: Zantetsuken on January 12, 2020, 07:45:39 pm

Title: ASM conflict problem
Post by: Zantetsuken on January 12, 2020, 07:45:39 pm
Hi!

First i'd like to thank you guys for all the work you put into this patch, it is awesome.

I am making a mod using this patch as base, everything is working fine so far, but i got a conflict with the new Dark Knight ASM and Apply Defense v2 ASM, as shown in the picture. In game it gives me a black screen before battle formation screen.

I don't know how fix this, i could just not use Apply Defense, but Dmg reduction on armor is basically the core feature in my mod.

Thank you in advance for any help you can provide.
Title: Re: ASM conflict problem
Post by: Elric on January 13, 2020, 05:29:06 am
You'd need to get someone to move that hack to another location, no way around it.
Title: Re: ASM conflict problem
Post by: Zantetsuken on January 13, 2020, 01:45:20 pm
Quote from: Elric on January 13, 2020, 05:29:06 am
You'd need to get someone to move that hack to another location, no way around it.


I see, ty for your reply.
Is anyone would be so kind as to do this for me, if it is not too much work of course?

Thank you in advance

Title: Re: ASM conflict problem
Post by: Glain on January 13, 2020, 03:26:13 pm
Hmm.  Is that definitely the latest version of the apply defense patch?  0xF2130 should be the earliest write location.

You can get the latest version of my XML from this thread (http://ffhacktics.com/smf/index.php?topic=7864.0).
Title: Re: ASM conflict problem
Post by: Zantetsuken on January 13, 2020, 04:53:39 pm
Quote from: Glain on January 13, 2020, 03:26:13 pm
Hmm.  Is that definitely the latest version of the apply defense patch?  0xF2130 should be the earliest write location.

You can get the latest version of my XML from this thread (http://ffhacktics.com/smf/index.php?topic=7864.0).


Ty Glain, that was it, i was using the FFTPatcher v0.492 but the xml was outdated, it seems to be working just fine now.